Bug 1421385 - rtl8192cu driver gives poor performance; rtl8xxxu is much better
Summary: rtl8192cu driver gives poor performance; rtl8xxxu is much better
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 22:20 UTC by David A. De Graaf
Modified: 2019-01-09 12:54 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-28 17:15:48 UTC
Type: Bug


Attachments (Terms of Use)

Description David A. De Graaf 2017-02-11 22:20:07 UTC
Description of problem:
The rtl8192cu wireless driver isn't very good.
The rtl8xxxu driver is much better, but isn't used.


Version-Release number of selected component (if applicable):
kernel-core-4.9.6-200.fc25.x86_64

How reproducible:
100%

Steps to Reproduce:r
1.  Use default rtl8192cu driver
2.  Measure wireless bandwidth with iperf3
3.  Wonder why it's so bad.

Actual results:


Expected results:


Additional info:

The rtl8192cu driver in F25 doesn't work very well but is what's used
for my dual antenna Rosewill USB wireless adapters, listed by lsusb as
  Bus 001 Device 002: ID 0bda:8178 Realtek Semiconductor Corp.
  RTL8192CU 802.11n WLAN Adapter 

Since Dec 2013 I have downloaded an improved version
  git clone https://github.com/pvaret/rtl8192cu-fixes.git
which has provided vastly better performance.

Sadly, this improved version no longer loads in Fedora 25, and I've
had to use the staging version - with poor bandwidth.

With help from poma <pomidorabelisima@gmail.com>, I read
  https://wireless.wiki.kernel.org/en/users/drivers/rtl819x
and discovered that "rtl8192cu is a USB driver for RTL8192CU/RTL8188CU
devices.  It's going to be replaced by rtl8xxxu."

A bit of serendipity led me to discover that this new rtl8xxxu driver
is already included in Fedora 25, but the non-functioning rtl8192cu is
used by default.

Simply adding a /etc/modprobe.d/rtl8xxxu.conf file containing
   blacklist rtl8192cu
is enough to cause the newer rtl8xxxu module to be used.

The wireless bandwidth, measured by iperf3, increased dramatically
from  a ragged 18. Mb/s to a solid 44. Mb/s.

Based on this, please remove the rtl8192cu driver from the Fedora 25
staging area.  It doesn't work, and the newer rtl8xxxu will be
automatically used instead, with much better performance.

Comment 1 poma 2017-02-14 18:39:57 UTC
+1 for this change to happen as soon as possible,
although this is up to Jes to decide when is the best timing.

Comment 2 Justin M. Forbes 2017-04-11 14:54:42 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2017-04-28 17:15:48 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 4 Benjamin Legendre 2018-01-13 15:30:04 UTC
Hi, 

I've spent hours tracking a lose connection after 5 minutes issue with my Belkin wifi dongle before came accross this bug. 

rtl8192cu was the culprit, blacklisting it like specified in the comment of this bug resolved my issue. rtl8xxxu works well and ihmo should be loaded by default.

Please tell me if need some infos.

Comment 5 Vareg 2018-02-28 06:26:54 UTC
Well, a kernel ago, actually two kernels ago, my Belkin N300 adapter broke and this thread sorted me out, only it's kinda weird, as since I have blacklisted the rtl8192cu driver + rebooted, WiFi does work, only the adapter's blue led's not flashing anymore and then although I seem to get decent speeds like, I mostly only get one/two bars fluctuating on my network manager. So is the rtl8xxxu driver supposed to work that way? 

PS: my current kernel is 4.15.4-300.fc27.x86_64 and I just conducted three tests on speedtest.net, which results are : 

1/ 14.03 Mbps 
2/ 10.80 Mbps
3/ 11.66 Mbps


Note You need to log in before you can comment on or make changes to this bug.